Developer
API REFERENCE

QR codes API

6 REST endpoints for qr codes, each with its parameters, the response it returns and a runnable curl example. Starts with POST /api/qr/ai.

POST/api/qr/ai

AI QR artwork

Open interactive reference →

Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.

Parameters 5
NameInDescription
objectbodyJSON request field
promptbodyJSON request field
stylebodyJSON request field
strengthbodyJSON request field
databodyJSON request field

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
GET/api/qr/preview

=================================================================== QR CODES ===================================================================

Open interactive reference →

Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.

Parameters 15
NameInDescription
dataqueryOptional query parameter
textqueryOptional query parameter
themequeryOptional query parameter
fgqueryOptional query parameter
bgqueryOptional query parameter
eyequeryOptional query parameter
radiusqueryOptional query parameter
finderqueryOptional query parameter
dotsqueryOptional query parameter
eclqueryOptional query parameter
sizequeryOptional query parameter
labelqueryOptional query parameter
logoqueryOptional query parameter
marginqueryOptional query parameter
formatqueryOptional query parameter

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
POST/api/qr/publish

Publish QR: permanent, embeddable image URL

Open interactive reference →

Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.

Parameters 4
NameInDescription
linkIdbodyJSON request field
databodyJSON request field
stylebodyJSON request field
formatbodyJSON request field

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
GET/api/qr/published

Get qr published

Open interactive reference →

Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
DELETE/api/qr/published/{id}

Delete qr published by ID

Open interactive reference →

Removes the selected resource after authorization. Access is limited by the API key scope and the workspace plan.

Parameters 1
NameInDescription
idpathRequired path parameter

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
GET/api/qr/themes

Get qr themes

Open interactive reference →

Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.

Examples in 22 languages and Try it →

Responses
200 Success400 Invalid request401 Invalid key429 Rate limited